Information on source package transmission

Available versions

ReleaseVersion
stretch2.92-2+deb9u1
stretch (security)2.92-2+deb9u2
buster2.94-2+deb10u2
bullseye3.00-1
bookworm3.00-1
sid3.00-1

Resolved issues

BugDescription
CVE-2018-10756Use-after-free in libtransmission/variant.c in Transmission before 3.0 ...
CVE-2018-5702Transmission through 2.92 relies on X-Transmission-Session-Id (which i ...
CVE-2014-4909Integer overflow in the tr_bitfieldEnsureNthBitAlloced function in bit ...
CVE-2012-6129Stack-based buffer overflow in utp.cpp in libutp, as used in Transmiss ...
CVE-2012-4037Multiple cross-site scripting (XSS) vulnerabilities in the web client ...
CVE-2010-1853Multiple stack-based buffer overflows in the tr_magnetParse function i ...
CVE-2010-0749Transmission before 1.92 allows attackers to prevent download of a fil ...
CVE-2010-0748Transmission before 1.92 allows an attacker to cause a denial of servi ...
CVE-2010-0012Directory traversal vulnerability in libtransmission/metainfo.c in Tra ...
CVE-2009-1757Cross-site request forgery (CSRF) vulnerability in Transmission 1.5 be ...

Security announcements

DSA / DLADescription
DLA-2305-1transmission - security update
DLA-2218-1transmission - security update
DLA-1246-1transmission - security update
DSA-4087-1transmission - security update
DSA-2988-1transmission - security update
DSA-1967-1transmission - directory traversal

Search for package or bug name: Reporting problems